# ======================================================================================================================
#  fennec, a free and open source game engine
#  Copyright © 2025  Medusa Slockbower
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <https://www.gnu.org/licenses/>.
# ======================================================================================================================

# this script contains the main version

set(FENNEC_VERSION_MAJOR 0)
set(FENNEC_VERSION_MINOR 1)
set(FENNEC_VERSION_PATCH 0)
set(FENNEC_VERSION_STRING "${FENNEC_VERSION_MAJOR}.${FENNEC_VERSION_MINOR}.${FENNEC_VERSION_PATCH}")
math(EXPR FENNEC_VERSION_NUM "(${FENNEC_VERSION_MAJOR} << 16) | (${FENNEC_VERSION_MINOR} << 8) | ${FENNEC_VERSION_PATCH}")

list(APPEND FENNEC_COMPILE_DEFINITIONS
        FENNEC_VERSION_MAJOR=${FENNEC_VERSION_MAJOR}
        FENNEC_VERSION_MINOR=${FENNEC_VERSION_MINOR}
        FENNEC_VERSION_PATCH=${FENNEC_VERSION_PATCH}
        FENNEC_VERSION_STRING=${FENNEC_VERSION_STRING}
        FENNEC_VERSION_NUM=${FENNEC_VERSION_NUM}
)